* [gentoo-commits] repo/proj/guru:dev commit in: games-rpg/sacred-demo/
@ 2024-03-28 20:59 Vitaly Zdanevich
0 siblings, 0 replies; only message in thread
From: Vitaly Zdanevich @ 2024-03-28 20:59 UTC (permalink / raw
To: gentoo-commits
commit: 0dd83a44f34614db955258748241a7ddcfd74b02
Author: Vitaly Zdanevich <zdanevich.vitaly <AT> ya <DOT> ru>
AuthorDate: Thu Mar 28 20:59:20 2024 +0000
Commit: Vitaly Zdanevich <zdanevich.vitaly <AT> ya <DOT> ru>
CommitDate: Thu Mar 28 20:59:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=0dd83a44
games-rpg/sacred-demo: new package
Signed-off-by: Vitaly Zdanevich <zdanevich.vitaly <AT> ya.ru>
games-rpg/sacred-demo/Manifest | 1 +
games-rpg/sacred-demo/metadata.xml | 8 +++++
games-rpg/sacred-demo/sacred-demo-1.0.0.ebuild | 47 ++++++++++++++++++++++++++
3 files changed, 56 insertions(+)
diff --git a/games-rpg/sacred-demo/Manifest b/games-rpg/sacred-demo/Manifest
new file mode 100644
index 0000000000..0a6df729d8
--- /dev/null
+++ b/games-rpg/sacred-demo/Manifest
@@ -0,0 +1 @@
+DIST sacred-demo.tar.xz 215131736 BLAKE2B 1e2489bae7ea499877512a5da590e0fe7d7e029b7356428477b0c53060851ff192a881cfa3b30d8f6a9f52a95bb1eb94fde73a2abe05053bfde9032abaf35261 SHA512 ffc6033fda2e2356a938dacc35119dce448f4dddd11f9269a2050bd0b83ae92061b0b13233342a6d725a61e969c1eecff173ea1f5761a3ec65942e309abb2c8a
diff --git a/games-rpg/sacred-demo/metadata.xml b/games-rpg/sacred-demo/metadata.xml
new file mode 100644
index 0000000000..812e586b96
--- /dev/null
+++ b/games-rpg/sacred-demo/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Vitaly Zdanevich</name>
+ <email>zdanevich.vitaly@ya.ru</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/games-rpg/sacred-demo/sacred-demo-1.0.0.ebuild b/games-rpg/sacred-demo/sacred-demo-1.0.0.ebuild
new file mode 100644
index 0000000000..63681e906d
--- /dev/null
+++ b/games-rpg/sacred-demo/sacred-demo-1.0.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit wrapper
+
+DESCRIPTION="Like Diablo, isometric view, good rating, about a two hours of the gameplay"
+HOMEPAGE="https://en.wikipedia.org/wiki/Sacred_(video_game)"
+
+SRC_URI="https://archive.org/download/$PN.tar/$PN.tar.xz"
+
+KEYWORDS="~amd64"
+S="${WORKDIR}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+RESTRICT="strip"
+
+RDEPEND="
+ virtual/wine
+"
+
+QA_PREBUILT="*"
+
+src_install() {
+
+ mkdir -p "$ED$/opt"
+
+ mkdir "$ED/opt" || die
+ mkdir -p "$ED/usr/bin/" || die
+ cp -r "$PN" "$ED/opt/$PN" || die
+
+ echo "cd /opt/$PN; WINEPREFIX=\$HOME/.wine-sacred/ wine /opt/$PN/Sacred.exe; cd -" > "$ED/usr/bin/$PN"
+ fperms +x "/usr/bin/$PN"
+ fperms 777 "/opt/$PN/"
+
+}
+
+pkg_postinst() {
+ einfo "More about the game:"
+ einfo "https://www.wikidata.org/wiki/Q1757845"
+ einfo ""
+ einfo "Buy the full game at https://store.steampowered.com/app/12320/Sacred_Gold/"
+ einfo ""
+ einfo "The game is installed to /opt/$PN - if you want to run it by another Wine or operating system"
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2024-03-28 20:59 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-03-28 20:59 [gentoo-commits] repo/proj/guru:dev commit in: games-rpg/sacred-demo/ Vitaly Zdanevich
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox